<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Animation</title>
    <style>
        @keyframes change_color {
            from {
                background-color: #89ca62;
                color: #b3d4fc;
            }
            to {
                background-color: #16a085;
                color: #305db8;
            }
        }
        
        .container {

        }
        .container .item {
            padding: 10px;
            text-align: center;

        }
        
        .container .item:nth-child(even) {
            background-color: #ff9933;
        }

        .container .item:hover {
            cursor: pointer;
            animation-name: change_color;
            animation-duration: .5s;
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="item">1</div>
        <div class="item">2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>
</body>
</html>